For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

List Quote Extra Fields Configs

GET
https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields
GET
/api/v3/io/rfq/extra-fields
$curl https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": "efb3a9d2-4c7a-4f3e-9a2b-1d2f3e4c5b6a",
6 "name": "Customer Priority",
7 "description": "Indicates the priority level assigned to the customer for this quote.",
8 "type": "select",
9 "required": true,
10 "maximumLength": 20,
11 "defaultValue": "normal",
12 "listOfValue": [
13 {
14 "label": "Low",
15 "value": "low"
16 },
17 {
18 "label": "Normal",
19 "value": "normal"
20 },
21 {
22 "label": "High",
23 "value": "high"
24 }
25 ],
26 "valueConfig": {
27 "defaultValue": "normal",
28 "listOfValue": [
29 {
30 "label": "Low",
31 "value": "low"
32 },
33 {
34 "label": "Normal",
35 "value": "normal"
36 },
37 {
38 "label": "High",
39 "value": "high"
40 }
41 ],
42 "maximumLimit": "20"
43 }
44 }
45 ],
46 "meta": {
47 "message": "SUCCESS",
48 "pagination": {
49 "totalCount": 250,
50 "offset": 0,
51 "limit": 10
52 }
53 }
54}
Returns a list of available extra fields configs for sales quotes. We recommend caching the response results to avoid frequent API requests.
Was this page helpful?
Previous

Send Quote Email

Next

Get Quote Details

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
datalist of any
metaobject